### Virtual Method

# Foundry HoverProvider populate

#### Declaration [src]

    DexFuture*
    populate (
      FoundryHoverProvider* self,
      const FoundryTextIter* location
    )

#### Description

No description available.

#### Parameters

`location`

  Type: `FoundryTextIter`

  A `FoundryTextIter`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryMarkup`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.